🚀 Visual Navigation for Link Fields! See our changelog for details.
curl --request GET \
--url https://app.teable.ai/api/base/%7BbaseId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"id": "<string>",
"name": "<string>",
"spaceId": "<string>",
"icon": "<string>",
"role": "owner",
"createdBy": "<string>",
"collaboratorType": "space",
"restrictedAuthority": true,
"enabledAuthority": true,
"lastModifiedTime": "<string>",
"createdTime": "<string>",
"template": {
"id": "<string>",
"headers": "<string>"
},
"createdUser": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
},
"isCanary": true
}Get a base by baseId
curl --request GET \
--url https://app.teable.ai/api/base/%7BbaseId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"id": "<string>",
"name": "<string>",
"spaceId": "<string>",
"icon": "<string>",
"role": "owner",
"createdBy": "<string>",
"collaboratorType": "space",
"restrictedAuthority": true,
"enabledAuthority": true,
"lastModifiedTime": "<string>",
"createdTime": "<string>",
"template": {
"id": "<string>",
"headers": "<string>"
},
"createdUser": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
},
"isCanary": true
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Returns information about a base.
owner, creator, editor, commenter, viewer space, base Show child attributes
Show child attributes
Was this page helpful?